/* ================================================= */
/* CSS for control sap.ui.commons/Slider.control     */
/* ================================================= */

/* All DIV elements MUST have a POSITION definition, otherwise the calculation of the
   grip position will not work */

.sapUiSli{
	position: relative;
	display: inline-block;
	overflow: visible;
	-moz-user-select: none;
	-webkit-user-select: none;
	border: 1px solid @sapUiMediumBorder;
}

.sapUiSliL,
.sapUiSliR,
.sapUiSliBar,
.sapUiSliHiLi {
	position: relative;
	display: block;
	outline: none;
}

.sapUiSliHiLi {
	position: absolute;
}

.sapUiSliHori .sapUiSliHiLi {
	left: 0;
}

.sapUiSliVert .sapUiSliHiLi {
	bottom: 0;
}

.sapUiSliHori .sapUiSliBar {
	height: 15px;
}

.sapUiSliVert .sapUiSliBar {
	width: 15px;
}

.sapUiSliGrip {
	position: absolute;
	display: inline-block;
	font-size: 0;
	color: transparent;
	border: 2px solid @sapUiMediumBorder;
}

.sapUiSliHori .sapUiSliGrip {
	height: 11px;
	width: 6px;
}

.sapUiSliVert .sapUiSliGrip {
	width: 11px;
	height: 6px;
}

.sapUiSliStd .sapUiSliGrip {
	cursor: pointer;
}

.sapUiSliDsbl .sapUiSliGrip:focus {
	outline: none; /* needed in safari */
}

.sapUiSliTick,
.sapUiSliText {
	position: absolute;
	display: inline-block;
}

.sapUiSliStd .sapUiSliText {
	color: @sapUiBaseText;
}

.sapUiSliRo .sapUiSliText,
.sapUiSliDsbl .sapUiSliText {
	color: @sapUiContentDisabledTextColor;
}

.sapUiSliVert .sapUiSliBar,
.sapUiSliVert .sapUiSliR,
.sapUiSliVert .sapUiSliL {
	position: absolute;
	top: 0;
	bottom: 0;
}